{ pkgs, legacyPackages, ... }:
with pkgs;

let
  inherit (legacyPackages) bash coreutils;
  script = with legacyPackages;
    writeTextFile {
      name = "rsync.sh";
      text = ''
        export PATH=${
          lib.makeSearchPathOutput "bin" "bin"
          (with legacyPackages; [ bash coreutils rsync ])
        }
        set -v
        rsync --version
        rsync -r /nix
      '';
    };
in rec {
  name = "rsync";
  machine = {
    config = ''
      ${
        ./rsync.dhall
      } { bash = \"${bash}\", coreutils = \"${coreutils}\", script = \"${script}\" }'';
    inputs = map pkgs.genodeSources.depot [ "libc" "posix" "vfs_pipe" "vfs" ]
      ++ [ bash ];
    extraPaths = [ script ] ++ (with legacyPackages; [ coreutils rsync ]);
  };
}
